'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.QuickNavContainer = exports.QuickNavMenu = exports.QuickNavButton = exports.TabList = exports.MenuList = exports.Spacer = exports.TabItem = exports.MenuItem = exports.Link = exports.QuickNav = undefined;

var _templateObject = _taggedTemplateLiteral(['\n    z-index: 1; \n    display: flex; \n    flex-flow: row nowrap;\n    align-items: center; \n    justify-content: center;\n'], ['\n    z-index: 1; \n    display: flex; \n    flex-flow: row nowrap;\n    align-items: center; \n    justify-content: center;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n    text-decoration:none;\n    background:', ';\n    color: ', ';\n    display: flex;\n    align-items:center;\n    justify-content: space-evenly;\n    height:100%;\n    width:100%;\n'], ['\n    text-decoration:none;\n    background:', ';\n    color: ', ';\n    display: flex;\n    align-items:center;\n    justify-content: space-evenly;\n    height:100%;\n    width:100%;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n    background:', ';\n    color: ', ';\n    height:50px;\n    display: flex;\n    align-items:center;\n    justify-content: space-evenly;\n    border-radius:4px;\n    margin:0px 15px;\n    padding: 0px 15px;\n    &:first-child{\n        margin-left:1px;\n    }\n    cursor:pointer;\n'], ['\n    background:', ';\n    color: ', ';\n    height:50px;\n    display: flex;\n    align-items:center;\n    justify-content: space-evenly;\n    border-radius:4px;\n    margin:0px 15px;\n    padding: 0px 15px;\n    &:first-child{\n        margin-left:1px;\n    }\n    cursor:pointer;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n    text-decoration: none;\n    min-width: 50px;\n    margin:0px 30px;\n    height: 30px;\n    color:black;\n    &:hover{\n        color: royalblue;\n    }\n    &:first-child{\n        margin-left:15px;\n    }\n    cursor:pointer;\n    display: flex;\n    align-items:center;\n    justify-content: space-evenly;\n'], ['\n    text-decoration: none;\n    min-width: 50px;\n    margin:0px 30px;\n    height: 30px;\n    color:black;\n    &:hover{\n        color: royalblue;\n    }\n    &:first-child{\n        margin-left:15px;\n    }\n    cursor:pointer;\n    display: flex;\n    align-items:center;\n    justify-content: space-evenly;\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n    display: flex;\n    width: 90vw;\n    min-height: 1px;\n    background: #cbc8c8;\n'], ['\n    display: flex;\n    width: 90vw;\n    min-height: 1px;\n    background: #cbc8c8;\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n    display: flex;\n    flex-flow: column wrap;\n    height: 45px;\n    max-height:45px;\n    margin: 0;\n    padding:0;\n    line-height:15px;\n    justify-content: space-evenly;\n    align-items:center;\n    overflow-x: auto;\n    width:90vw;\n'], ['\n    display: flex;\n    flex-flow: column wrap;\n    height: 45px;\n    max-height:45px;\n    margin: 0;\n    padding:0;\n    line-height:15px;\n    justify-content: space-evenly;\n    align-items:center;\n    overflow-x: auto;\n    width:90vw;\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n    display: flex;\n    flex-flow: column wrap;\n    align-items:center;\n    justify-content:center;\n    height: 45px;\n    max-height:50px;\n    margin: 0;\n    padding:5px;\n    line-height:35px;\n    overflow-x: auto;\n    width:90vw;\n'], ['\n    display: flex;\n    flex-flow: column wrap;\n    align-items:center;\n    justify-content:center;\n    height: 45px;\n    max-height:50px;\n    margin: 0;\n    padding:5px;\n    line-height:35px;\n    overflow-x: auto;\n    width:90vw;\n']),
    _templateObject8 = _taggedTemplateLiteral(['\n    background: ', ';\n    border: none;\n    border-radius: 7px;\n    color: ', ';\n    padding: 10px 15px;\n    position:fixed;\n    bottom: 10%;\n    align-self:center;\n    cursor: pointer;\n    &:hover{\n        background: ', '\n    }\n'], ['\n    background: ', ';\n    border: none;\n    border-radius: 7px;\n    color: ', ';\n    padding: 10px 15px;\n    position:fixed;\n    bottom: 10%;\n    align-self:center;\n    cursor: pointer;\n    &:hover{\n        background: ', '\n    }\n']),
    _templateObject9 = _taggedTemplateLiteral(['\n    display:flex;\n    justify-content: space-evenly;\n    align-items:center;\n    flex-flow:column wrap;\n    background:white;\n    height:100%;\n    max-height: 210px;\n    border-radius: 5px;\n    border: 1px solid #cbc8c8;\n    padding: 5px;\n'], ['\n    display:flex;\n    justify-content: space-evenly;\n    align-items:center;\n    flex-flow:column wrap;\n    background:white;\n    height:100%;\n    max-height: 210px;\n    border-radius: 5px;\n    border: 1px solid #cbc8c8;\n    padding: 5px;\n']),
    _templateObject10 = _taggedTemplateLiteral(['\n    display:flex;\n    align-items:center;\n    justify-content: flex-end;\n    flex-flow: column nowrap;\n    color:black;\n    width: 100vw;\n    height: ', ';\n    overflow: hidden;\n    position:fixed;\n    z-index:2;\n    transition: height 300ms ease-in-out;\n    bottom: 0;\n'], ['\n    display:flex;\n    align-items:center;\n    justify-content: flex-end;\n    flex-flow: column nowrap;\n    color:black;\n    width: 100vw;\n    height: ', ';\n    overflow: hidden;\n    position:fixed;\n    z-index:2;\n    transition: height 300ms ease-in-out;\n    bottom: 0;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var QuickNav = exports.QuickNav = _styledComponents2.default.div(_templateObject);
var Link = exports.Link = (0, _styledComponents2.default)(_reactRouterDom.NavLink)(_templateObject2, function (props) {
    return props.theme.quicknav.button.background;
}, function (props) {
    return props.theme.quicknav.button.color;
});
var MenuItem = exports.MenuItem = _styledComponents2.default.div(_templateObject3, function (props) {
    return props.theme.quicknav.button.background;
}, function (props) {
    return props.theme.quicknav.button.color;
});

var TabItem = exports.TabItem = (0, _styledComponents2.default)(_reactRouterDom.NavLink)(_templateObject4);

var Spacer = exports.Spacer = _styledComponents2.default.div(_templateObject5);
var MenuList = exports.MenuList = _styledComponents2.default.div(_templateObject6);

var TabList = exports.TabList = _styledComponents2.default.div(_templateObject7);

var QuickNavButton = exports.QuickNavButton = _styledComponents2.default.div(_templateObject8, function (props) {
    return props.theme.quicknav.button.background;
}, function (props) {
    return props.theme.quicknav.button.color;
}, function (props) {
    return props.theme.tab.hover;
});
var QuickNavMenu = exports.QuickNavMenu = _styledComponents2.default.div(_templateObject9);
var QuickNavContainer = exports.QuickNavContainer = _styledComponents2.default.div(_templateObject10, function (props) {
    return props.quickNav ? '100vh' : '0px';
});