'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _TabStyles = require('./TabStyles');

var _odeumUi = require('odeum-ui');

var _default = require('../../theme/default');

var _default2 = _interopRequireDefault(_default);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Tab = function (_Component) {
	_inherits(Tab, _Component);

	function Tab() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, Tab);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Tab.__proto__ || Object.getPrototypeOf(Tab)).call.apply(_ref, [this].concat(args))), _this), _this.activate = function () {
			_this.props.setActiveTab(_this.props.tabID ? _this.props.tabID : 0);
		}, _this.iconIsActive = function () {
			return _this.props.active ? _default2.default.icon.selected : _default2.default.icon.default;
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(Tab, [{
		key: 'componentWillMount',
		value: function componentWillMount() {
			if (this.props.helpID && this.props.active) {
				this.props.setHelpID(this.props.helpID);
			}
			if (window.location.pathname.includes(this.props.route) && this.props.activeTab !== this.props.tabID) {
				this.activate();
			}
		}
	}, {
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				_TabStyles.Link,
				{ to: this.props.route, activetab: this.props.active.toString() },
				_react2.default.createElement(
					_TabStyles.TabIconDiv,
					null,
					_react2.default.createElement(_odeumUi.Icon, { color: this.iconIsActive(), iconSize: 20, icon: this.props.icon ? this.props.icon : this.defaultProps.icon, style: { marginRight: '0px' } })
				),
				_react2.default.createElement(
					_TabStyles.TabText,
					null,
					this.props.label
				)
			);
		}
	}]);

	return Tab;
}(_react.Component);

Tab.propTypes = {
	label: _propTypes2.default.string.isRequired,
	route: _propTypes2.default.string,
	icon: _propTypes2.default.string

	// Tab.defaultProps = {
	//	label:'Tab',
	// 	icon: 'tab'
	// }
};exports.default = Tab;